      program cnhpopreaf
C..........................................................Sep 2020
C Hpo-pre <4.0,or Hpo-post <4
C
 	CHARACTER*64 infile
C
        infile= 'addeqhpotot.txt'  ! peak Hpo
	OPEN(10,file=infile,action='READ')
   35 format(1X,F8.3,1X,I3,4(1X,A2),2(1X,F6.2),1X,I4,2(1X,F4.1)
     +,2(1X,I4),1X,F5.2,2(1X,I3,1X,F7.3),1X,I4)
C
      icnt4=0
       do jj=1,1954
      read(10,35,end=50) ryear,lda,amn,ady,aut,amm,glats,glons,kmds
 	+,aeqmax,eqav,ndyeq,knum,hpeq,jt_pre,hp_pre,jt_nex,hp_nex,ndy
	if ((hp_pre.ge.4.0).or.(hp_nex.ge.4.0)) icnt4=icnt4+1
	enddo
	n1=ndy-icnt4
   50 write(*,*) n1,icnt4
      pause ' '
	STOP
	END